Subject: Opsdir last call review of draft-ietf-lamps-pkix-shake-08

From: Tianran Zhou via Datatracker <[email-masked]>
Date: Tue, 09 Apr 2019 21:11:01 -0700

Reviewer: Tianran Zhou
Review result: Has Issues

I have reviewed this document as part of the Operational directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

Document reviewed: draft-ietf-lamps-pkix-shake-08
Intended Status:  Standards Track

Summary:
In general, this document is clear to me. I did not see any special operational
or network management related issue. It's almost ready to be published. There
are some issues and nits.

Issues:
The normative and informative reference in this draft are not clear to me.
I think that [RFC8017](Informational) and [RFC8174](BCP) should not be
normative reference. And why some standard tack RFC are listed in informative
reference?

Editorial:
line 102: redundand -> redundant
line 126,129: Deterministric -> Deterministic
line 314: algorithsm -> algorithms
line 378: subtitutions -> substitutions
line 763,777: Determinstic -> Deterministic

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Thu, 11 Apr 2019 03:57:28 +0000

Thank you Tianran. 

> The normative and informative reference in this draft are not clear to me. I think that RFC8017 and RFC8174 should not be normative reference. And why some standard tack RFC are listed in informative reference?

Indeed RFC8017 and RFC8174 are Normative References. RFC8017 is Informational draft but we are keeping it in the Normative References even though idnits complains because we need a normative reference for RSASSA-PSS otherwise someone implementing our draft would not know RSASSA-PSS. RFC4056 does the same thing with RSASS-PSS v2.1. RFC8174 is Normative because we must be read to understand what the capital letters mean in our draft. It is normative in other standards like RFC8366 as well. We have some Informative References that are Standard RFCs. The reason we do that is because someone does not need to read them to understand or implement the proposed draft as per https://ietf.org/blog/iesg-statement-normative-and-informative-references/

All the Editorial nits are fixed in the next iterations that will be pushed out soon. 

Panos

-----Original Message-----
From: Spasm <[email-masked]> On Behalf Of Tianran Zhou via Datatracker
Sent: Wednesday, April 10, 2019 12:11 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [lamps] Opsdir last call review of draft-ietf-lamps-pkix-shake-08

Reviewer: Tianran Zhou

I have reviewed this document as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written with the intent of improving the operational aspects of the IETF drafts. Comments that are not addressed in last call may be included in AD reviews during the IESG review.  Document editors and WG chairs should treat these comments just like any other last call comments.

Document reviewed: draft-ietf-lamps-pkix-shake-08 Intended Status:  Standards Track

Summary:
In general, this document is clear to me. I did not see any special operational or network management related issue. It's almost ready to be published. There are some issues and nits.

Issues:
The normative and informative reference in this draft are not clear to me.
I think that [RFC8017](Informational) and [RFC8174](BCP) should not be normative reference. And why some standard tack RFC are listed in informative reference?

Editorial:
line 102: redundand -> redundant
line 126,129: Deterministric -> Deterministic line 314: algorithsm -> algorithms line 378: subtitutions -> substitutions line 763,777: Determinstic -> Deterministic

_______________________________________________
Spasm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spasm

---

From: Tianran Zhou <[email-masked]>
Date: Thu, 11 Apr 2019 07:46:06 +0000

I am OK with the update.

Thanks,
Tianran

> From: Panos Kampanakis (pkampana) [mailto:[email-masked]]
> Sent: Thursday, April 11, 2019 11:57 AM
> To: Tianran Zhou <[email-masked]>; [email-masked]
> Subject: RE: [lamps] Opsdir last call review of
> draft-ietf-lamps-pkix-shake-08
> 
> Thank you Tianran.
> 
> I think that RFC8017 and RFC8174 should not be normative reference. And why
> some standard tack RFC are listed in informative reference?
> 
> Indeed RFC8017 and RFC8174 are Normative References. RFC8017 is Informational
> draft but we are keeping it in the Normative References even though idnits
> complains because we need a normative reference for RSASSA-PSS otherwise
> someone implementing our draft would not know RSASSA-PSS. RFC4056 does the
> same thing with RSASS-PSS v2.1. RFC8174 is Normative because we must be read
> to understand what the capital letters mean in our draft. It is normative
> in other standards like RFC8366 as well. We have some Informative References
> that are Standard RFCs. The reason we do that is because someone does not
> need to read them to understand or implement the proposed draft as per
> https://ietf.org/blog/iesg-statement-normative-and-informative-reference
> s/
> 
> comments were written with the intent of improving the operational aspects
> of the IETF drafts. Comments that are not addressed in last call may be
> included in AD reviews during the IESG review.  Document editors and WG chairs
> should treat these comments just like any other last call comments.
> 
> line 126,129: Deterministric -> Deterministic line 314: algorithsm ->
> algorithms line 378: subtitutions -> substitutions line 763,777:
> Determinstic -> Deterministic
>